﻿using EntityFrameworkAndRawSQL.Data;
using Microsoft.EntityFrameworkCore;

SalesContext salesContext = new SalesContext(new DbContextOptionsBuilder<SalesContext>()
    .UseNpgsql("Host=localhost;Port=5432;Database=salesdb;Username=postgres;Password=postgres").Options);

salesContext.Database.EnsureCreated();
await salesContext.SeedAsync();

var originalProduct = (await salesContext.Products.FromSql($"select * from products where product_id <= {5} order by product_id limit {1} for update skip locked").ToListAsync()).First();
Console.WriteLine(originalProduct);

originalProduct.Price +=100; 
await salesContext.SaveChangesAsync();

var updatedProduct = await salesContext.Products.FindAsync(originalProduct.ProductId);
Console.WriteLine(updatedProduct);  